import type { CreateUserBody, LoginUserBody, UserInfo } from '@core';
import { post, get } from './request';
import { currentUser } from '../store/user';

export async function login(raw: LoginUserBody) {
  const user = await post<UserInfo>('/user/login', raw);
  currentUser.set(user);
  return user;
}

export async function logout() {
  await post('/user/logout');
  currentUser.set(null);
}

export async function read(uuid: string) {
  const user = await get<UserInfo>(`/user/read/${uuid}`);
}

export async function create(raw: CreateUserBody) {
  const user = await post<UserInfo>('/user/create', raw);
}
